The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the SSL Configuration at the Sensor Level

Prev Next

This URL updates the SSL configuration at sensor level for 9.2 NS-series Sensors.

Resource URL

PUT /sensor/<sensorId>/sslconfiguration

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor id

Number

Yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

inheritSettings

Inherit settings from parent domain

Boolean

Yes

decryptionState

SSL state. The values can be:

  • DISABLED

  • INBOUND

  • OTBOUND

String

Yes

anticipatedSSLTrafficUsage

Anticipated inbound SSL traffic usage. The values can be:

  • VERY_HIGH

  • LIGHT

  • MEDIUM

  • HEAVY

  • VERY_HEAVY

String

Yes

sslInactivityTimeoutInMinutes

The maximum amount of time a Sensor will keep an outbound SSL flow open when no data has been seen on the Sensor.

Number

Yes

includeDecryptedPCAPS

Include decrypted packets while packet capture.

Boolean

Yes

enableDhSupport

DH support

Boolean

Yes

maxConcurrent

Maximum concurrent connection allowed between a Trellix Agent and a Sensor. The value can range from 1 to 1024.

Number

Yes

permittedIPv4CIDRBlocks

IPv4 CIDR blocks

Object

Yes

permittedIPv6CIDRBlocks

IPv6 CIDR blocks

Object

Yes

failureHandling

Failure handling

Object

Yes

Details of permittedIPv4CIDRBlocks and permittedIPv6CIDRBlocks:

Field Name

Description

Data Type

Mandatory

action

Action for the CIDR. The value is delete for deletion.

String

No

cidr

CIDR block

String

Yes

Details of failureHandling:

Field Name

Description

Data Type

Mandatory

untrustedOrExpiredServerCertificate

Action to take if the target web server's certificate is not on the Sensor's trusted CA list. This is used only in case of outbound SSL. The values can be:

  • Block Flow

  • Decrypt

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation is successful

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1001/decryptionsettings

Payload

 {
  "inheritSettings": false,
  "decryptionState": "INBOUND",
  "anticipatedSSLTrafficUsage": "HEAVY",
  "sslInactivityTimeoutInMinutes": 1,
  "enableDhSupport": true,
  "maxConcurrent": 210,
   "permittedIPv4CIDRBlocks": [{"cidr":"10.1.1.0/23"}],
   "permittedIPv6CIDRBlocks": [{"cidr":"2001:DB9::1/122"}],
  "includeDecryptedPCAPS": false
}

Response

{
        "status": 1
    }

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

500

1124

The Sensor is inactive

3

500

1001

Internal error